Language:
switch to room list switch to menu My folders
Go to page: [1] 2 3 4 5 ... Last
↑↑↑ Old messages ↑↑↑            ↓↓↓ New messages ↓↓↓
[#] Sat Mar 24 2018 00:25:56 EDT from gooder @ Uncensored

Subject: Security problem

[Reply] [ReplyQuoted] [Headers] [Print]


I found a problem with citadel.

For exemple for that site, if we are not registered on that site and we put that sentence :

http://uncensored.citadel.org/webcit/do_template?template=user_list

We see all registered name.  Is it possible to put some restriction about that ?

Thanks

 

 



[#] Mon Mar 26 2018 09:34:36 EDT from alex007 @ Uncensored

Subject: Re: Citadel on Debian Stretch??

[Reply] [ReplyQuoted] [Headers] [Print]

 

It doesn't work for me via apt-get from official Debian sources.
It ends up with segmentation fault.

See
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=862300

It does work with the easy install script, rather use this.

Tue Mar 20 2018 20:57:12 EDT from citadel4dje @ Uncensored Subject: Citadel on Debian Stretch??

Does it install easily without problems??



 



[#] Mon Mar 26 2018 10:33:20 EDT from alex007 @ Uncensored

Subject: Re: Installing citadel on raspberry pi running jessie

[Reply] [ReplyQuoted] [Headers] [Print]

Better use the easy-install script, see instructions on

citadel.org

Wed Feb 21 2018 12:51:00 EST from nbewhm4 @ Uncensored Subject: Installing citadel on raspberry pi running jessie

The installation seemed to go ok, without any visible errors, but when I try and login as the new admin, I have to click the login button 3 times before anything happens, then I just get the clocking circle icons.

 

I ran the following:

sudo apt-get update

sudo apt-get upgrade

sudo apt-get install citadel-suite

 

I am running Raspbian 9.3, codename stretch

Then I also tried changing my sources.list to:

deb http://debian.citadel.org/debian/jessie main 

I get the following error:
E: Malformed entry 4 in list file /etc/apt/sources.list (Component)
E: The list of sources could not be read.
 
 
Any helpful suggestions would be appreciated!
 
Regards,
Andrew.


 



[#] Mon Mar 26 2018 10:36:46 EDT from alex007 @ Uncensored

Subject: Re: Installing citadel on raspberry pi running jessie

[Reply] [ReplyQuoted] [Headers] [Print]

So you have Debian stretch?

Better use the easy-install script as described on citadel.org

 

Wed Feb 21 2018 12:51:00 EST from nbewhm4 @ Uncensored Subject: Installing citadel on raspberry pi running jessie

The installation seemed to go ok, without any visible errors, but when I try and login as the new admin, I have to click the login button 3 times before anything happens, then I just get the clocking circle icons.

 

I ran the following:

sudo apt-get update

sudo apt-get upgrade

sudo apt-get install citadel-suite

 

I am running Raspbian 9.3, codename stretch

Then I also tried changing my sources.list to:

deb http://debian.citadel.org/debian/jessie main 

I get the following error:
E: Malformed entry 4 in list file /etc/apt/sources.list (Component)
E: The list of sources could not be read.
 
 
Any helpful suggestions would be appreciated!
 
Regards,
Andrew.


 



[#] Mon Mar 26 2018 10:59:48 EDT from Anthony @ Uncensored

Subject: Citadel Easy Install

[Reply] [ReplyQuoted] [Headers] [Print]

Hello All I am attempting to install citadel on a closed system with no access to the internet is there anywhere to download the easy install package of citadel for redhat?



[#] Mon Mar 26 2018 11:23:30 EDT from IGnatius T Foobar @ Uncensored

Subject: Re: Citadel Easy Install

[Reply] [ReplyQuoted] [Headers] [Print]

Hello All I am attempting to install citadel on a closed system with
no access to the internet is there anywhere to download the easy
install package of citadel for redhat?

You can probably fake it this way:

1. Download the script from http://easyinstall.citadel.org/install to your local machine
2. Edit the script, changing all of the download URL's to local references
3. Download all of the components it references
4. Put all of that stuff onto the server you want to install.

[#] Mon Mar 26 2018 11:38:50 EDT from the-cox @ Uncensored

Subject: could anybody update the citadel website

[Reply] [ReplyQuoted] [Headers] [Print]

Hi all,

ran into the issue:

OpenLDAP development headers are missing during install of citadel server

Solution was pased here in the forum:

apt-get install libldap2-dev

 

Could this be placed into the

http://www.citadel.org/doku.php/installation:easyinstall:prereq-debian.html

Prerequisites for Debian and Ubuntu systems:

Would help for new debian and raspian installations ;-)

 

Cheers,

Jan

PS: I always enjoy installing Citadel on raspberry - new model 3B+ rocks



[#] Mon Mar 26 2018 17:47:29 EDT from bgerum @ Uncensored

Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

[Reply] [ReplyQuoted] [Headers] [Print]

 

Wed Mar 07 2018 03:47:24 EST from bgerum @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

Wed Feb 28 2018 10:33:08 EST from bgerum @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

Mon Feb 26 2018 16:45:41 EST from bgerum @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

Sun Feb 25 2018 21:46:41 EST from IGnatius T Foobar @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

checking for libical/ical.h... yes
checking for icaltimezone_set_tzid_prefix in -lical... yes
checking sieve2.h usability... yes
checking sieve2.h presence... yes
checking for sieve2.h... yes
checking for sieve2_license in -lsieve... no
configure: error: libsieve was not found and is required.  More info: http://www.citadel.org/doku.php/installation:start
Operating system: Linux 4.4.104-39-default( 4.4.104-39-default x86_64)

According to that log, it couldn't link to libsieve, even though libsieve had clearly been installed.  That is quite weird.

Can you attach the full log please?  We need to see what happened during the libsieve build.

 

unfortunately the 2nd try has overwritten the original log. I also did some updates overnight... but attached you find the current EasyInstall Log

 

How can I trigger a complete recompilation?

 



(, 0 bytes) [View| Download]

 



(, 0 bytes) [View| Download]

 

I just did a fresh install of OpenSuSE 42.3 on a different machine - standard install and then installed citadel-9.01-13.19.x86_64 from

https://download.opensuse.org/repositories/home:/stefjakobs:/citadel-testing

and guess what, I got the same error as before on the other machine:

bdb(): cursor still in progress on cdb 04: can't begin transaction during r/o cursor


see my post from Feb 19th for the other details.

I did not put any data files on that machine so I guess it must be something different, not related to the database files at all.

Maybe there is some dependency missing that is not listed in the rpm? It was already the same error for citadel 8.24 on openSuSE 42.3

 

 

 

 



(, 0 bytes) [View| Download]

Ok, now I tried the EasyInstall on that second openSuSE 42.3 machine.

It stopped at that point:

checking libical/ical.h usability... yes
checking libical/ical.h presence... yes
checking for libical/ical.h... yes
checking for icaltimezone_set_tzid_prefix in -lical... no
configure: error: libical was not found and is required.  More info: http://www.citadel.org/doku.php/installation:start
Operating system: Linux 4.4.76-1-default( 4.4.76-1-default x86_64)

But this time I preserved the full log, see the latest attachment

 



citadel-install-log2.txt (text/plain, 768162 bytes) [View| Download]
[#] Mon Mar 26 2018 18:04:49 EDT from alex007 @ Uncensored

Subject: Subject: migration from 8.22 to 9.17

[Reply] [ReplyQuoted] [Headers] [Print]

No success with ctdlmigrate,

the old installation was a LHFS Installation on Debian with deb's

the new one I made with easyinstall.

The ctdlmigrate script started and it seems that the whole data were transfered (60 minutes, about 8GB that is the probably the space for the data).

Please find atached the syslog file with the respective output.

do I have a chance or should I better migrate the IMAP folder by hand?

 

Mon Mar 19 2018 17:36:49 EDT from alex007 @ Uncensored Subject: Re: [Citadel Support]

Hi Peter,

ah, there is the info, thanks a lot. I will read and try to migrate...

Best regards

Alex

 

Mon Mar 19 2018 16:54:26 EDT from "fedorowp" <fedorowp@driveforge.org> Subject: Re: [Citadel Support]
Hi Alex,

See
http://www.citadel.org/doku.php/documentation:system_administration_manual#importingexportingyourcitadeldatabase

The database has the majority of the configuration.

In the event you have customized messages and things like that, you can
probably find them in one of:
/etc/citadel
/var/lib/citadel
/usr/local/citadel

Regards,
Peter


On 2018-03-19 04:23 PM, Citadel Support wrote:

------------------------------------------------------------------------------
From: alex007 <alex007@uncensored.citadel.org>
Subject: migration from 8.22 to 9.17

Hi all,

I've installed a fresh citadel 9.17 (arm on raspberrypi stretch) with easy
install.

I want to migrate my Data from a 8.22 install (LHS).

Is that possible or would you rather shout : no!

I think, there is a

1. config

and

2. data

that have to recover.

Any help would be great

Alex
------------------------------------------------------------------------------
You are subscribed to the 'Citadel Support' list.
To post to the list: room_citadel_support@citadel.org

 



 



syslog_ctdlmigrate_goes_wrong.txt (text/plain, 67524 bytes) [View| Download]
[#] Mon Mar 26 2018 19:23:35 EDT from bgerum @ Uncensored

Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

[Reply] [ReplyQuoted] [Headers] [Print]

 

Mon Mar 26 2018 17:47:29 EDT from bgerum @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

Wed Mar 07 2018 03:47:24 EST from bgerum @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

Wed Feb 28 2018 10:33:08 EST from bgerum @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

Mon Feb 26 2018 16:45:41 EST from bgerum @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

Sun Feb 25 2018 21:46:41 EST from IGnatius T Foobar @ Uncensored Subject: Re: citadel refuses to start after OpenSuSE upgrade - now with Easyins

 

checking for libical/ical.h... yes
checking for icaltimezone_set_tzid_prefix in -lical... yes
checking sieve2.h usability... yes
checking sieve2.h presence... yes
checking for sieve2.h... yes
checking for sieve2_license in -lsieve... no
configure: error: libsieve was not found and is required.  More info: http://www.citadel.org/doku.php/installation:start
Operating system: Linux 4.4.104-39-default( 4.4.104-39-default x86_64)

According to that log, it couldn't link to libsieve, even though libsieve had clearly been installed.  That is quite weird.

Can you attach the full log please?  We need to see what happened during the libsieve build.

 

unfortunately the 2nd try has overwritten the original log. I also did some updates overnight... but attached you find the current EasyInstall Log

 

How can I trigger a complete recompilation?

 



(, 0 bytes) [View| Download]

 



(, 0 bytes) [View| Download]

 

I just did a fresh install of OpenSuSE 42.3 on a different machine - standard install and then installed citadel-9.01-13.19.x86_64 from

https://download.opensuse.org/repositories/home:/stefjakobs:/citadel-testing

and guess what, I got the same error as before on the other machine:

bdb(): cursor still in progress on cdb 04: can't begin transaction during r/o cursor


see my post from Feb 19th for the other details.

I did not put any data files on that machine so I guess it must be something different, not related to the database files at all.

Maybe there is some dependency missing that is not listed in the rpm? It was already the same error for citadel 8.24 on openSuSE 42.3

 

 

 

 



(, 0 bytes) [View| Download]

Ok, now I tried the EasyInstall on that second openSuSE 42.3 machine.

It stopped at that point:

checking libical/ical.h usability... yes
checking libical/ical.h presence... yes
checking for libical/ical.h... yes
checking for icaltimezone_set_tzid_prefix in -lical... no
configure: error: libical was not found and is required.  More info: http://www.citadel.org/doku.php/installation:start
Operating system: Linux 4.4.76-1-default( 4.4.76-1-default x86_64)

But this time I preserved the full log, see the latest attachment

 

did an online update, icaltimezone problem solved, but now there is the libsieve problem again, see attachedcitadel-install-log3.txt

 



(, 0 bytes) [View| Download]

 



citadel-install-log3.txt (text/plain, 12665 bytes) [View| Download]
citadel-install-log2.txt (text/plain, 768162 bytes) [View| Download]